Get unpaid orders pending activation

Check if there are any ongoing orders that have not yet been paid or activated. If an unpaid order is found, an invoice_id is returned that can be used to complete the payment or retrieve invoice information.

Billing & Orders Billing

Context

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.pendingOrder string · nullable required · Example: null

Nullable: may be null when not applicable.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/account/pending-orders
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/account/pending-orders" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "pendingOrder": null
  }
}